summaryrefslogtreecommitdiffstats
path: root/haskell/haskell-MonadCatchIO-mtl/haskell-MonadCatchIO-mtl.SlackBuild
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-03-16 01:20:14 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-03-20 12:32:23 -0500
commit6a511b1c665a1f7efecadaa3447af889b1dcba58 (patch)
tree2266375d0edd4ec28f98767b54af3fbd8edebea2 /haskell/haskell-MonadCatchIO-mtl/haskell-MonadCatchIO-mtl.SlackBuild
parentf228ec7eefcb4ab77057015a1b13c85973cb68ee (diff)
downloadslackbuilds-6a511b1c665a1f7efecadaa3447af889b1dcba58.tar.gz
slackbuilds-6a511b1c665a1f7efecadaa3447af889b1dcba58.tar.xz
haskell/*: Moved all of the Haskell stuff to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'haskell/haskell-MonadCatchIO-mtl/haskell-MonadCatchIO-mtl.SlackBuild')
-rw-r--r--haskell/haskell-MonadCatchIO-mtl/haskell-MonadCatchIO-mtl.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/haskell/haskell-MonadCatchIO-mtl/haskell-MonadCatchIO-mtl.SlackBuild b/haskell/haskell-MonadCatchIO-mtl/haskell-MonadCatchIO-mtl.SlackBuild
new file mode 100644
index 0000000000..c54efaec1b
--- /dev/null
+++ b/haskell/haskell-MonadCatchIO-mtl/haskell-MonadCatchIO-mtl.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for MonadCatchIO-mtl
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-MonadCatchIO-mtl
+VERSION=${VERSION:-0.3.0.1}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.lhs configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.lhs build
+runghc Setup.lhs haddock
+runghc Setup.lhs copy --destdir=$PKG
+runghc Setup.lhs register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# BUG: At least the package should come with lisence
+#cp -a $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}